Page MenuHomePhabricator

Make searching by tags work in Phriction
ClosedPublic

Authored by epriestley on Jun 22 2017, 5:26 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Aug 6, 7:41 PM
Unknown Object (File)
Thu, Jul 28, 1:18 AM
Unknown Object (File)
Mon, Jul 18, 4:51 PM
Unknown Object (File)
Sat, Jul 16, 10:01 AM
Unknown Object (File)
Jun 15 2022, 11:21 PM
Unknown Object (File)
May 30 2022, 8:29 PM
Unknown Object (File)
May 29 2022, 5:03 AM
Subscribers
None

Details

Summary

Fixes T12860. Some joins were being dropped because we didn't call parent::...

Test Plan
  • Tagged a document.
  • Searched for documents with that tag.
  • Before change: got all documents.
  • After change: got only tagged documents.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

I think this has never worked. This line came from D14652, but I don't think it worked before that either.

This revision is now accepted and ready to land.Jun 22 2017, 5:27 PM
This revision was automatically updated to reflect the committed changes.